/*
 * game.cpp
 *
 *  Created on: 18/mar/2013
 *      Author: utente
 */

#include "Character.h"
#include <iostream> // per stampare sullo schermo
int main() {
	Character hero("Isildur", 12, 4, 3);
	Weapon* sword = new Weapon(6);
	hero.setWeapon(sword);
	Character monster(36, 3, 8);
	Weapon* fang = new Weapon(2);
	monster.setWeapon(fang);

	hero.move(3, 4);
	std::cout << "Monster HPs: " << monster.getHP() << std::endl;
	int damage = hero.fight(monster);
	std::cout << "Damage inflicted: " << damage << std::endl;
	std::cout << "Monster HPs: " << monster.getHP() << std::endl;
	Weapon* magicSword = new Weapon(8, true);
	hero.setWeapon(magicSword);
	damage = hero.fight(monster);
	std::cout << "Damage inflicted: " << damage << std::endl;
	std::cout << "Monster HPs: " << monster.getHP() << std::endl;
	if (monster.getHP() <= 0)
		std::cout << "The monster is dead !" << std::endl;

	delete sword;
	delete magicSword;
	delete fang;
}
